<app-catalogues [visualizar]=false></app-catalogues>

<div class="contenido">

  <div class="boton">
    <div class="search">
        <input (keyup)="applyFilter($any($event).target.value)" placeholder="BUSCAR..." #myInp class="myInp">
    </div>
    <div class="botones">
      <button [style.visibility]="agregarCelda==true ? 'visible': 'hidden'" mat-flat-button color="primary"
        (click)="openDialog()">Agregar</button>
      <button [style.visibility]="guardarColumna == 1 ? 'visible' : 'hidden' " mat-flat-button color="accent"
        (click)="validar()">Guardar</button>
    </div>
  </div>
  <div class="tabla">
    <mat-table [dataSource]="dataSource" matSort>
      <!-- All columns -->
      <ng-container *ngFor="let col of displayedColumns; let i=index" [matColumnDef]="col">
        <mat-header-cell *matHeaderCellDef mat-sort-header>{{displayedHead[i]}}</mat-header-cell>
        <mat-cell *matCellDef="let element">
          <div *ngIf="columnas[i].canModify==false;then editar else normal"></div>
          <ng-template #editar class="editar">
            <div class="table-cell">
              {{element.get(col).value}}
            </div>
          </ng-template>
          <ng-template #normal>
            <mat-form-field floatLabel="never" appearance="outline" class="inp">
              <input matInput type="{{columnas[i].type}}" [formControl]="element.get(col)"
                matTooltip="{{element.get(col).value}}">
            </mat-form-field>
          </ng-template>
        </mat-cell>
      </ng-container>
      <!---column delete-->
      <ng-container matColumnDef="delete">
        <mat-header-cell *matHeaderCellDef [style.visibility]="agregarCelda==true ? 'visible': 'hidden'"></mat-header-cell>
        <mat-cell *matCellDef="let element;let i=index;" [style.visibility]="agregarCelda==true ? 'visible': 'hidden'">
          <button arrow-div mat-button (click)="delete(i)"><i class="fa fa-times"></i></button>
        </mat-cell>
      </ng-container>
      <mat-header-row *matHeaderRowDef="displayedHead"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedHead;"></mat-row>
    </mat-table>
    <!-- <mat-paginator [pageSizeOptions]="[5]"></mat-paginator>
    <pre>
      {{myformArray?.value|json}}
      </pre> -->
  </div>
</div>
<div *ngIf="loaderService.isLoading$ | async" class="overlay">
  <mat-spinner class="spinner"></mat-spinner>
</div>
